Errore upgrade da 2.4.4 a 3.2.1

Installazione, configurazione generale, notifiche, API, lingue, problemi server
Post Reply
acucca
Newbie
Posts: 23
Joined: Tue Mar 02, 2021 5:33 pm

Errore upgrade da 2.4.4 a 3.2.1

Post by acucca »

Buongiorno,

ho provato a fare lupgrade della vecchia versione attual 2.4.4 come risulta dal changelogfile:
forma.lms 2.4.4 Release date: 2021 june
alla versione 3.2.1 ho mantenuto le cartelle richieste e copiato i nuovi file nella cartella corretta,

La situazione dei parametri del DB e del sistema è la seguente:

Step 2: System Check
forma.lms version
Start : 2.4.4
Final : 3.2.1

Server information
Server software : : Apache
PHP Version : : 7.4.30
MySQL/MariaDB Client Version : : 7.4.30
MySQL/MariaDB Server Version : : 5.6.51
Multibyte Support: ON
mime_content_type() support: ON
Ldap : : OFF Consider this warning only if you need to use LDAP
Openssl : : ON
Site Timezone: Europe/Rome
PHP Information :
magic_quotes_gpc : : OFF
Safe mode : : OFF
register_global : : OFF
allow_url_fopen : : ON
allow_url_include : : OFF
upload_max_filsize : : 300M
post_max_size : : 300M
max_execution_time : : 900s

Durante il processo di upgrade è uscito il seguente messaggio:

Upgrade database error

Upgrading to version: 3.0.0
Result: ERROR !!!

Upgrade db with file: /web/htdocs/www.ssigroup.it/home/formatest/upgrade/ ... b.sqlTable 'dashboard_permission' already exists Can't write; duplicate key in table '#sql-282e0_7e27ceae' Duplicate entry 'ignore_score' for key 'PRIMARY' Duplicate entry 'use_sender_aclname' for key 'PRIMARY' Duplicate entry 'mail_sender_name_from' for key 'PRIMARY' Duplicate entry 'customer_help_name_from' for key 'PRIMARY' Duplicate entry 'send_ccn_for_system_emails' for key 'PRIMARY' Duplicate entry 'UserCourseInsertOverbooking' for key 'class_2' Duplicate entry '52' for key 'idClass'
------

Potete cortesemente farmi capire quale potrebbe essere il problema?
Grazie mille
alfa24
Senior Boarder
Posts: 1672
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: Errore upgrade da 2.4.4 a 3.2.1

Post by alfa24 »

In /upgrade/data/upg_data/30000_db.sql la prima riga dice

Code: Select all

CREATE TABLE dashboard_permission ( id_dashboard INT NOT NULL , idst_list TEXT NOT NULL );
proverei a sostituire con

Code: Select all

CREATE TABLE IF NOT EXISTS dashboard_permission ( id_dashboard INT NOT NULL , idst_list TEXT NOT NULL );
quindi per i duplicate, faccio l'esempio del primo, sostituirei:

Code: Select all

INSERT INTO `core_setting` 
(`param_name`, `param_value`, `value_type`, `max_size`, `pack`, `regroup`, `sequence`, `param_load`, `hide_in_modify`, `extra_info`) 
VALUES
('ignore_score', 'off', 'enum', 3, '0', 4, 16, 1, 0, '');
con

Code: Select all

INSERT IGNORE INTO `core_setting` 
(`param_name`, `param_value`, `value_type`, `max_size`, `pack`, `regroup`, `sequence`, `param_load`, `hide_in_modify`, `extra_info`) 
VALUES
('ignore_score', 'off', 'enum', 3, '0', 4, 16, 1, 0, '');
ovviamente potrebbero uscirne fuori chissà quanti altri se la procedura di upgrade non è scritta bene.
I'm Jasmines, the One. If you need, you can contact me.
acucca
Newbie
Posts: 23
Joined: Tue Mar 02, 2021 5:33 pm

Re: Errore upgrade da 2.4.4 a 3.2.1

Post by acucca »

Grazie alfa24,

l'idea è certamente giusta, ma direi che non sia il caso che io alteri la procedura di upgrade prevista nel modo suggerito ... se ci sono errori del genere difficilmente può essere che sia scritta male.

Probabilmente il problema è che da errore nella mia configurazione, quindi devo risolvere il problema di configurazione senza alterare la procedura di upgrade standard. Se poi quella avesse dei bugs ... la storia sarebbe diversa ed anche l''approccio.

Grazie comunque per il tuo utile contributo.
Andrea
Post Reply